CRMchat APIBeta

Create campaign

POST
/workspaces/{workspaceId}/outreach/sequences

Creates an outreach campaign for an existing list and triggers list processing. A list must be created first using the lists endpoints. See Creating and Starting a Campaign for the complete flow.

Authorization

bearerAuth
AuthorizationBearer <token>

API key (sk_...) as Bearer token

In: header

Path Parameters

workspaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

listId*string
name*string
accounts?
contactOwnerSettings?
contactCreationTrigger?string

Value in

  • "on-reply"
  • "on-first-message-sent"
contactDefaults?
contactUpdatesOnReply?
messages*array<||||>

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/workspaces/string/outreach/sequences" \  -H "Content-Type: application/json" \  -d '{    "listId": "string",    "name": "string",    "messages": [      {        "id": "string",        "delay": {          "period": "minutes",          "value": 0        },        "text": "string"      }    ]  }'
{  "data": {    "createdAt": "2019-08-24T14:15:22Z",    "createdBy": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "estimatedLastMessageAt": "2019-08-24T14:15:22Z",    "schedulingStatusReason": "outside_planning_window",    "workspaceId": "string",    "listId": "string",    "name": "string",    "status": "draft",    "accounts": {      "mode": "all",      "selected": [        "string"      ],      "conversationStrategy": "prefer-existing-dialog"    },    "contactOwnerSettings": {      "ownerIds": [        "string"      ]    },    "contactCreationTrigger": "on-reply",    "contactDefaults": {      "property1": "string",      "property2": "string"    },    "contactUpdatesOnReply": {      "property1": "string",      "property2": "string"    },    "messages": [      {        "id": "string",        "delay": {          "period": "minutes",          "value": 0        },        "text": "string",        "type": "text"      }    ],    "duplicationResolutionNeeded": true,    "totalLeads": 0,    "completedLeadsCount": 0,    "id": "string"  }}